#
# spec file for package python-markupsafe (Version 0.11)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname MarkupSafe

Name:           python-markupsafe
Version:        0.11
Release:        2.1
Summary:        Implements a XML/HTML/XHTML Markup Safe String for Python
Url:            http://pypi.python.org/pypi/MarkupSafe
License:        BSD
Group:          Development/Libraries/Python
Source:         %{modname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-setuptools

%description
Implements a unicode subclass that supports HTML strings. This can be used to
safely encode strings for dynamically generated we pages.

%prep
%setup -q -n %{modname}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc AUTHORS LICENSE README.rst

%changelog
* Mon Aug 30 2010 jfunk@funktronics.ca
- Update to 0.11
    Since MarkupSafe 0.10 there is now also a separate escape function
    called `escape_silent` that returns an empty string for `None` for
    consistency with other systems that return empty strings for `None`
    when escaping (for instance Pylons' webhelpers).
* Thu Jul  1 2010 jfunk@funktronics.ca
- Initial release
